#!/bin/bash

gfortran -c -fpic pts_ref_est_pen.F90 -o pts_ref_est_pen.o
gfortran -c -fpic pts_ref_est_pen_4int.F90 -o pts_ref_est_pen_4int.o
gfortran -c -fpic calculo_tempes_densi_sealevel.F90 -o calculo_tempes_densi_sealevel.o
gfortran -c -fpic calc_utmcandelasgrid.F90 -o calc_utmcandelasgrid.o
gfortran -c -fpic calc_geoswind.F90 -o calc_geoswind.o
gfortran -c -fpic clasif_era_pen_kmeans.F90 -o clasif_era_pen_kmeans.o
gfortran -c -fpic predictores_significativos.F90 -o predictores_significativos.o
gfortran -c -fpic calc_utm_rej_era5_penin.F90 -o calc_utm_rej_era5_penin.o

if [[ -f "CSTools.so" ]]; then rm CSTools.so; fi

#R CMD SHLIB -o CSTools.so -fpic mod_csts.F90 mod_funcs.F90 training_part1.F90 training_part2.F90 calculo_tempes_densi_sealevel.o calc_geoswind.o clasif_era_pen_kmeans.o pts_ref_est_pen.o pts_ref_est_pen_4int.o calc_utmcandelasgrid.o predictores_significativos.o calc_utm_rej_era5_penin.o
R CMD SHLIB -o CSTools.so -fpic mod_csts.F90 mod_funcs.F90 training_part1.F90 training_part2.F90 downscaling.F90 calculo_tempes_densi_sealevel.o calc_geoswind.o clasif_era_pen_kmeans.o pts_ref_est_pen.o pts_ref_est_pen_4int.o calc_utmcandelasgrid.o predictores_significativos.o calc_utm_rej_era5_penin.o

